[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# DecodeSoundexWord

Decodes the word-sized representation of a soundex code and returns the original soundex code.

## Declaration

Source position: strutils.pp line 123

`function DecodeSoundexWord(`
`AValue: Word`
`):string;`

## Arguments

`AValue` |  | Word-sized soundex value.

## Function result

Soundex code corresponding to the word-sized value.

## Description

DecodeSoundexWord converts the integer value AValue to a soundex string. It performs the reverse operation of the SoundexWord function. The result is the soundex string corresponding to AValue .

## Errors

None.

## See also

SoundexInt |  | Soundex value as an integer.
DecodeSoundexInt |  | Decodes the integer representation of a soundex code and returns the original soundex code.
Soundex |  | Compute the soundex of a string

Documentation generated on: Feb 26 2014